<?php

declare(strict_types=1);

namespace Drupal\reviewer_examples\Plugin\reviewer\Checklist;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_examples\Plugin\reviewer\Task\SystemPerformance;
use Drupal\reviewer_examples\Plugin\reviewer\Task\SystemSite;

/**
 * Site configuration checklist.
 */
#[Checklist(
  id: 'site_configuration',
  tasks: [
    SystemPerformance::class,
    SystemSite::class,
  ],
)]
final class SiteConfigurationChecklist extends ChecklistBase {}
