<?php

declare(strict_types=1);

namespace Drupal\reviewer_examples\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_examples\Plugin\reviewer\Checklist\EntityDisplayChecklist;

/**
 * Node review.
 */
#[Review(
  id: 'node',
  label: 'Node Review',
  checklists: [
    EntityDisplayChecklist::class,
  ],
  config_entity_type: 'node_type',
)]
final class NodeReview extends ReviewBase {}
