<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\Form;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Form\TestFormFieldGroupSettingsTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_form_field_group_settings_checklist',
  tasks: [TestFormFieldGroupSettingsTask::class],
)]
final class TestFormFieldGroupSettingsChecklist extends ChecklistBase {}
