<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\Form;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Form\TestFormFieldsDisabledTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_form_fields_disabled_checklist',
  tasks: [TestFormFieldsDisabledTask::class],
)]
final class TestFormFieldsDisabledChecklist extends ChecklistBase {}
