<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\View;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\View\TestFieldFormatterSettingsTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_field_formatter_settings_checklist',
  tasks: [TestFieldFormatterSettingsTask::class],
)]
final class TestFieldFormatterSettingsChecklist extends ChecklistBase {}
