<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\View;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\View\TestViewFieldGroupSettingsTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_view_field_group_settings_checklist',
  tasks: [TestViewFieldGroupSettingsTask::class],
)]
final class TestViewFieldGroupSettingsChecklist extends ChecklistBase {}
