<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\View;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\View\TestViewFieldsDisabledTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_view_fields_disabled_checklist',
  tasks: [TestViewFieldsDisabledTask::class],
)]
final class TestViewFieldsDisabledChecklist extends ChecklistBase {}
