<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\TestNoEntityTypeTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_no_entity_type_checklist',
  tasks: [TestNoEntityTypeTask::class],
)]
final class TestNoEntityTypeChecklist extends ChecklistBase {}
