<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review\Entity\Display\Form;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\Form\TestFieldWidgetsChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_field_widgets_review',
  label: 'Test field widgets review',
  checklists: [TestFieldWidgetsChecklist::class],
  config_entity_type: 'node_type',
)]
final class TestFieldWidgetsReview extends ReviewBase {}
