<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review\Entity\Display\Form;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\Form\TestFormFieldGroupSettingsChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_form_field_group_settings_review',
  label: 'Test form field group settings review',
  checklists: [TestFormFieldGroupSettingsChecklist::class],
  config_entity_type: 'node_type',
)]
final class TestFormFieldGroupSettingsReview extends ReviewBase {}
