<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review\Entity\Display\Form;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\Form\TestFormFieldsDisabledChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_form_fields_disabled_review',
  label: 'Test form fields disabled review',
  checklists: [TestFormFieldsDisabledChecklist::class],
  config_entity_type: 'node_type',
)]
final class TestFormFieldsDisabledReview extends ReviewBase {}
