<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review\Entity\Display;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\TestExceptionsChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_exceptions_review',
  label: 'Test exceptions review',
  checklists: [TestExceptionsChecklist::class],
  config_entity_type: 'node_type',
)]
final class TestExceptionsReview extends ReviewBase {}
