<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review\Entity\Display\View;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\View\TestFieldFormatterSettingsChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_field_formatter_settings_review',
  label: 'Test field formatter settings review',
  checklists: [TestFieldFormatterSettingsChecklist::class],
  config_entity_type: 'node_type',
)]
final class TestFieldFormatterSettingsReview extends ReviewBase {}
