<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review\Entity\Display\View;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\View\TestViewFieldGroupSettingsChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_view_field_group_settings_review',
  label: 'Test view field group settings review',
  checklists: [TestViewFieldGroupSettingsChecklist::class],
  config_entity_type: 'node_type',
)]
final class TestViewFieldGroupSettingsReview extends ReviewBase {}
