<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review\Entity\Display\View;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\View\TestViewFieldsDisabledChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_view_fields_disabled_review',
  label: 'Test view fields disabled review',
  checklists: [TestViewFieldsDisabledChecklist::class],
  config_entity_type: 'node_type',
)]
final class TestViewFieldsDisabledReview extends ReviewBase {}
