<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\TestConfigTaskExceptionsChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_config_task_exceptions_review',
  label: 'Test config task exceptions review',
  checklists: [TestConfigTaskExceptionsChecklist::class],
)]
final class TestConfigTaskExceptionsReview extends ReviewBase {}
