<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\FieldPluginsTaskBase;

/**
 * Task for tests.
 */
#[Task('test_no_allowed_plugins_task')]
final class TestNoAllowedPluginsTask extends FieldPluginsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldTypes = ['*'];

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = ['*'];

}
