<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\FieldSettingsTaskBase;

/**
 * Task for tests.
 */
#[Task('test_no_display_type_task')]
final class TestNoDisplayTypeTask extends FieldSettingsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldTypes = ['*'];

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = ['*'];

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = ['correct' => 'correct'];

}
