<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Fields;

use Drupal\reviewer\Attribute\Task;

/**
 * Task for tests.
 */
#[Task('test_field_name_and_type_task')]
final class TestFieldNameAndTypeTask extends TestFieldsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = ['field_link'];

  /**
   * {@inheritdoc}
   */
  protected array $fieldTypes = [
    'link',
    'entity_reference_autocomplete',
  ];

}
