<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Form;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\Form\FieldWidgetSettingsTaskBase;

/**
 * Task for tests.
 */
#[Task('test_field_widget_settings_task')]
final class TestFieldWidgetSettingsTask extends FieldWidgetSettingsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = [
    'body',
  ];

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = [
    'weight' => -10,
    'settings' => [
      'rows' => 9,
      'summary_rows' => 5,
      'placeholder' => '!',
    ],
  ];

}
