<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\View;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\View\ViewFieldGroupSettingsTaskBase;

/**
 * Task for tests.
 */
#[Task('test_view_field_group_settings_task')]
final class TestViewFieldGroupSettingsTask extends ViewFieldGroupSettingsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = ['*'];

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = [
    'format_type' => 'details',
    'format_settings' => [
      'open' => FALSE,
      'required_fields' => FALSE,
    ],
  ];

}
