<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\View;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\View\ViewFieldsDisabledTaskBase;

/**
 * Task for tests.
 */
#[Task('test_view_fields_disabled_task')]
final class TestViewFieldsDisabledTask extends ViewFieldsDisabledTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = [
    'body',
    'links',
  ];

  /**
   * {@inheritdoc}
   */
  protected array $fieldTypes = [
    'entity_reference_label',
  ];

}
