<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\ConfigTaskBase;

/**
 * Task for tests.
 */
#[Task('test_config_task')]
final class TestConfigTask extends ConfigTaskBase {

  /**
   * {@inheritdoc}
   */
  protected string $configName = 'reviewer_test_kit_test_config.settings';

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = [
    'key_one' => 'correct_value_one',
    'key_two' => 'correct_value_two',
    'key_three' => [
      'correct_value_three_a',
      'correct_value_three_b',
    ],
  ];

}
