<?php

namespace Drupal\reviewer\Plugin;

use Drupal\Component\Plugin\PluginManagerInterface;

/**
 * Definition for a review plugin manager.
 *
 * @method \Drupal\reviewer\Plugin\reviewer\Review\ReviewPluginInterface createInstance(string $plugin_id, string[] $configuration = [])
 * @method string[] getDefinition(string $plugin_id, bool $exception_on_invalid = TRUE)
 * @method string[][] getDefinitions()
 */
interface ReviewManagerInterface extends PluginManagerInterface {

  /**
   * Create instances for all checklist plugins.
   *
   * @return array<string, \Drupal\reviewer\Plugin\reviewer\Review\ReviewPluginInterface>
   */
  public function createAllInstances(): array;

}
