<?php

namespace Drupal\reviewer\Reviewer\Checklist;

/**
 * Defines a factory which creates checklists.
 */
interface ChecklistFactoryInterface {

  /**
   * Create a checklist.
   *
   * @param class-string<\Drupal\reviewer\Reviewer\Checklist\ChecklistInterface> $class
   *
   * @throws \InvalidArgumentException
   *   Thrown if the class string is not an instance of
   *   \Drupal\reviewer\Reviewer\Checklist\ChecklistInterface.
   */
  public function create(string $class): ChecklistInterface;

}
