<?php

namespace Drupal\reviewer\Reviewer\Result;

/**
 * Defines an individual result.
 */
interface IndividualResultInterface extends ResultInterface {

  /**
   * Get the result message.
   */
  public function getMessage(): string;

  /**
   * Check if the result was created by a fixable task.
   *
   * If it is not known if the result is fixable, then return false.
   */
  public function isFixable(): bool;

}
