<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Task;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer\Reviewer\Result\ResultInterface;
use Drupal\reviewer\Reviewer\Task\TaskBase;

/**
 * Task for testing the Reviewer UI.
 */
#[Task('error_test_task')]
final class TestError extends TaskBase {

  /**
   * {@inheritdoc}
   *
   * @throws \Exception
   */
  public function check(): ResultInterface {
    throw new \Exception('Error');
  }

}
