<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Task;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer\Reviewer\Result\ResultInterface;
use Drupal\reviewer\Reviewer\Status\Status;
use Drupal\reviewer\Reviewer\Task\TaskBase;

/**
 * Task for testing the Reviewer UI.
 */
#[Task(id: 'ignored_error_test_task')]
final class TestIgnoredErrorTask extends TaskBase {

  /**
   * {@inheritdoc}
   */
  public function check(): ResultInterface {
    return $this->createResult(Status::Error, 'Ignored error test task');
  }

}
