<?php

declare(strict_types=1);

namespace Drupal\reviewer_examples\Plugin\reviewer\Checklist;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_examples\Plugin\reviewer\Task\Entity\Display\View\FieldLabelsHidden;
use Drupal\reviewer_examples\Plugin\reviewer\Task\Entity\Display\View\LinkTextNotTrimmed;

/**
 * Entity view display configuration checklist.
 */
#[Checklist(
  id: 'entity_display_checklist',
  tasks: [
    FieldLabelsHidden::class,
    LinkTextNotTrimmed::class,
  ],
)]
final class EntityDisplayChecklist extends ChecklistBase {}
