<?php

declare(strict_types=1);

namespace Drupal\reviewer_examples\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_examples\Plugin\reviewer\Checklist\SiteConfigurationChecklist;

/**
 * Test simple configuration review.
 */
#[Review(
  id: 'site_configuration',
  label: 'Site Configuration Review',
  checklists: [
    SiteConfigurationChecklist::class,
  ],
)]
final class SiteConfigurationReview extends ReviewBase {}
