<?php

declare(strict_types=1);

namespace Drupal\reviewer_examples\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_examples\Plugin\reviewer\Checklist\EntityDisplayChecklist;

/**
 * Taxonomy review.
 */
#[Review(
  id: 'taxonomy',
  label: 'Taxonomy Review',
  checklists: [
    EntityDisplayChecklist::class,
  ],
  config_entity_type: 'taxonomy_vocabulary',
)]
final class TaxonomyReview extends ReviewBase {}
