<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\Form;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Form\TestFieldWidgetsTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_field_widgets_checklist',
  tasks: [TestFieldWidgetsTask::class],
)]
final class TestFieldWidgetsChecklist extends ChecklistBase {}
