<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display\View;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\View\TestFieldFormattersTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_field_formatters_checklist',
  tasks: [TestFieldFormattersTask::class],
)]
final class TestFieldFormattersChecklist extends ChecklistBase {}
