<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\TestConfigTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_config_checklist',
  tasks: [TestConfigTask::class],
)]
final class TestConfigChecklist extends ChecklistBase {}
