<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review\Entity;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\TestNoEntityTypeChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_no_entity_type_review',
  label: 'Test no entity type review',
  checklists: [TestNoEntityTypeChecklist::class],
)]
final class TestNoEntityTypeReview extends ReviewBase {}
