<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\TestConfigChecklist;

/**
 * Review for tests.
 */
#[Review(
  id: 'test_config_review',
  label: 'Test config review',
  checklists: [TestConfigChecklist::class],
)]
final class TestConfigReview extends ReviewBase {}
