<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\FieldSettingsTaskBase;

/**
 * Task for tests.
 */
#[Task('test_no_expected_settings_task')]
final class TestNoExpectedSettingsTask extends FieldSettingsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected string $displayType = 'form';

  /**
   * {@inheritdoc}
   */
  protected array $fieldTypes = ['*'];

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = ['*'];

}
