<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\FieldSettingsTaskBase;

/**
 * Task for tests.
 */
#[Task('test_no_field_types_nor_names_task')]
final class TestNoFieldTypesNorNamesTask extends FieldSettingsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected string $displayType = 'form';

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = ['correct' => 'correct'];

}
