<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Form;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\Form\FieldWidgetsTaskBase;

/**
 * Task for tests.
 */
#[Task('test_field_widgets_task')]
final class TestFieldWidgetsTask extends FieldWidgetsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = [
    'field_node',
  ];

  /**
   * {@inheritdoc}
   */
  protected array $allowedPlugins = [
    'entity_reference_autocomplete',
    'entity_reference_autocomplete_tags',
  ];

}
