<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Form;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\Form\FormFieldGroupSettingsTaskBase;

/**
 * Task for tests.
 */
#[Task('test_form_field_group_settings_task')]
final class TestFormFieldGroupSettingsTask extends FormFieldGroupSettingsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldTypes = [
    'details',
    'details_sidebar',
  ];

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = [
    'format_type' => 'details',
    'format_settings' => [
      'open' => FALSE,
      'required_fields' => FALSE,
    ],
  ];

}
