<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Form;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\Form\FormFieldsDisabledTaskBase;

/**
 * Task for tests.
 */
#[Task('test_form_fields_disabled_task')]
final class TestFormFieldsDisabledTask extends FormFieldsDisabledTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = [
    'created',
    'sticky',
  ];

  /**
   * {@inheritdoc}
   */
  protected array $fieldTypes = [
    'default:node' => 'entity_reference_autocomplete',
  ];

}
