<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\View;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\View\FieldFormatterSettingsTaskBase;

/**
 * Task for tests.
 */
#[Task('test_field_formatter_settings_task')]
final class TestFieldFormatterSettingsTask extends FieldFormatterSettingsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = [
    'body',
  ];

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = [
    'label' => 'hidden',
    'type' => 'text_default',
  ];

}
