<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\View;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\View\FieldFormattersTaskBase;

/**
 * Task for tests.
 */
#[Task('test_field_formatters_task')]
final class TestFieldFormattersTask extends FieldFormattersTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldTypes = [
    'default:node' => 'entity_reference',
  ];

  /**
   * {@inheritdoc}
   */
  protected array $allowedPlugins = [
    'entity_reference_label',
  ];

}
