<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer\Reviewer\Result\ResultInterface;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\EntityTypeTaskBase;

/**
 * Task for tests.
 */
#[Task('test_no_entity_type_task')]
final class TestNoEntityTypeTask extends EntityTypeTaskBase {

  /**
   * {@inheritdoc}
   */
  public function check(): ResultInterface {
    $this->entityType();
    return $this->createCheckResult(FALSE, 'Pass', 'Fail');
  }

}
