<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\ConfigTaskBase;

/**
 * Task for tests.
 */
#[Task('test_new_config_name_task')]
final class TestNewConfigTask extends ConfigTaskBase {

  /**
   * {@inheritdoc}
   */
  protected string $configName = 'new';

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = ['correct' => 'correct'];

}
