<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test\Plugin\reviewer\Checklist\TestEntityChecklist;

/**
 * Entity review for testing the Reviewer UI.
 */
#[Review(
  id: 'entity_review_test',
  label: 'Entity Review Test',
  checklists: [
    TestEntityChecklist::class,
  ],
  config_entity_type: 'node_type',
)]
final class TestEntityReview extends ReviewBase {}
