<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;
use Drupal\reviewer_test\Plugin\reviewer\Checklist\TestChecklist;

/**
 * Review for testing the Reviewer UI.
 */
#[Review(
  id: 'review_test',
  label: 'Review Test',
  checklists: [
    TestChecklist::class,
  ],
  ignored: [
    ['id' => 'review_test.checklist_test.ignored_error_test_task', 'reason' => 'Ignored in code.'],
  ]
)]
final class TestReview extends ReviewBase {}
